Bug 1576169 (CVE-2018-10768) - CVE-2018-10768 poppler: NULL pointer dereference in Annot.h:AnnotPath::getCoordsLength() allows for denial of service via crafted PDF
Summary: CVE-2018-10768 poppler: NULL pointer dereference in Annot.h:AnnotPath::getCoo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10768
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1588610
Blocks: 1576170
TreeView+ depends on / blocked
 
Reported: 2018-05-09 03:49 UTC by Sam Fowler
Modified: 2021-02-17 00:21 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:40 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 07:42:41 UTC

Description Sam Fowler 2018-05-09 03:49:42 UTC
Poppler is vulnerable to a NULL pointer dereference in the Annot.h:AnnotPath::getCoordsLength() function. An attacker could exploit this to cause a denial of service via crafted PDF.


Upstream Bug:

https://bugs.freedesktop.org/show_bug.cgi?id=106408

Comment 7 errata-xmlrpc 2018-10-30 07:42:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3140 https://access.redhat.com/errata/RHSA-2018:3140

Comment 8 Marian Rehak 2019-06-14 10:17:02 UTC
Statement:

Red Hat Product Security has rated this issue as having low security impact and a future update may address this flaw.


Note You need to log in before you can comment on or make changes to this bug.